## python-django 1.2.3

=== debian/changelog ===
python-django (1.2.3-3+squeeze10) squeeze-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add CVE-2014-1418.patch patch.
    CVE-2014-1418: Caches may be allowed to store and serve private data.
  * Add CVE-2014-3730.patch patch.
    CVE-2014-3730: Malformed URLs from user input incorrectly validated.

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 18 May 2014 11:23:21 +0200

python-django (1.2.3-3+squeeze9) squeeze-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add CVE-2014-0472.patch patch.
    CVE-2014-0472: Unexpected code execution using ``reverse()``
  * Add CVE-2014-0472-regression.patch patch.
    Fix regression introduced by the original fix for CVE-2014-0472.
    Restored the ability to reverse views created using functools.partial.
  * Add CVE-2014-0473.patch patch.
    CVE-2014-0473: Caching of anonymous pages could reveal CSRF token.
  * Add CVE-2014-0474.patch patch.
    CVE-2014-0474: MySQL typecasting could result in unexpected matches.

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 12 May 2014 21:42:47 +0200

python-django (1.2.3-3+squeeze8) oldstable-security; urgency=high

  * Stable security upload:
    https://www.djangoproject.com/weblog/2013/sep/15/security/
    - Denial-of-service via large passwords. CVE-2013-1443
    Closes: #723043

 -- Luke Faraone <lfaraone@debian.org>  Sun, 15 Sep 2013 15:57:34 -0400

python-django (1.2.3-3+squeeze7) oldstable-security; urgency=high

  * Stable security upload:
    https://www.djangoproject.com/weblog/2013/sep/
    - Directory traversal with ``ssi`` template tag. CVE-2013-431

 -- Luke Faraone <lfaraone@debian.org>  Mon, 09 Sep 2013 20:22:57 -0800

python-django (1.2.3-3+squeeze6) oldstable-security; urgency=high

  * Stable security upload:
    https://www.djangoproject.com/weblog/2013/aug/13/security-releases-issued/
    - Possible cross-site scripting via django.utils.http.is_safe_url
  * Update uploaders field.

 -- Luke Faraone <lfaraone@debian.org>  Tue, 13 Aug 2013 13:25:29 -0400

python-django (1.2.3-3+squeeze5) stable-security; urgency=high

  * Stable security upload:
    https://www.djangoproject.com/weblog/2013/feb/19/security/
    https://www.djangoproject.com/weblog/2012/dec/10/security/
    Fixes mulptiple security issues:
    - Further fixes for Host header poisoning. CVE-2012-4520
    - XML attacks via entity expansion. CVE-2013-1665
    - Data leakage via admin history log. CVE-2013-0305
    - Formset denial-of-service. CVE-2013-0306
    - Redirect poisoning.
  * Backport all the upstream security patches:
    - debian/patches/20_fix_get_host.diff
    - debian/patches/21_fix_redirect_poisoning.diff
    - debian/patches/22_add_allowed_hosts.diff
    - debian/patches/23_restrict_xml_deserializer.diff
    - debian/patches/24_check_perms_admin_history_view.diff
    - debian/patches/25_limit_number_of_forms_in_formset.diff
    Closes: #701186, #696535

 -- Raphaël Hertzog <hertzog@debian.org>  Sun, 24 Feb 2013 16:08:14 +0100

python-django (1.2.3-3+squeeze4) stable-security; urgency=low

  * Stable security upload:
    https://www.djangoproject.com/weblog/2012/oct/17/security/
    Fixes: CVE-2012-4520
  * Add the upstream patch:
    - debian/patches/19_fix_host_header_poisoning.diff
    Closes: #691145

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 22 Oct 2012 10:19:12 +0200

python-django (1.2.3-3+squeeze3) stable-security; urgency=high

  * Stable security upload:
    https://www.djangoproject.com/weblog/2012/jul/30/security-releases-issued/
    Fixes: CVE-2012-3442 CVE-2012-3443 CVE-2012-3444
  * Apply/backport the 3 security patches:
    - debian/patches/16_fix_cross_site_scripting_in_authentication.diff
    - debian/patches/17_fix_dos_in_image_validation.diff
    - debian/patches/18_fix_dos_via_get_image_dimensions.diff
    Closes: #683364

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 02 Aug 2012 11:05:53 +0200

python-django (1.2.3-3+squeeze2) stable-security; urgency=low

  * Stable security upload:
    https://www.djangoproject.com/weblog/2011/sep/09/security-releases-issued/
  * Apply/backport the 3 security patches:
    - debian/patches/13_fix_safety_issue_with_session_data.diff
    - debian/patches/14_fix_dos_with_urlfield.diff
    - debian/patches/15_fix_spoofing_issue_with_x_forwarded_host.diff
    Closes: #641405

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 06 Oct 2011 12:20:30 +0200

python-django (1.2.3-3+squeeze1) stable-security; urgency=high

  * Stable security upload:
    http://www.djangoproject.com/weblog/2011/feb/08/security/
  * Apply/backport the 3 security patches:
    - debian/patches/10_fix_csrf_ajax.diff
    - debian/patches/11_fix_admin_file_widget.diff
    - debian/patches/12_fix_file_session_backend.diff
  * Re-add dropped test for 09_fix_dos_password_reset.diff. Thanks to
    Jamie Strandboge <jamie@ubuntu.com>. Closes: #610447

 -- Raphaël Hertzog <hertzog@debian.org>  Sat, 12 Feb 2011 09:17:26 +0100

python-django (1.2.3-3) testing; urgency=high

  * Squeeze upload with security fixes only:
    http://www.djangoproject.com/weblog/2010/dec/22/security/
  * Add patches 08_fix_info_leakage.diff and 09_fix_dos_password_reset.diff
    taken from upstream SVN repository. They did not apply cleanly, I had to
    drop a test.

 -- Raphaël Hertzog <hertzog@debian.org>  Sat, 01 Jan 2011 21:05:27 +0100

python-django (1.2.3-2) unstable; urgency=low

  * Team upload.
  * Disable model tests that require an internet connection.
    Closes: #601070
  * Include python.mk conditionally as explained in its header.
    Helps backports to Lenny which has no python.mk.
    Closes: #601608

 -- Evgeni Golov <evgeni@debian.org>  Thu, 28 Oct 2010 12:37:15 +0200

python-django (1.2.3-1) unstable; urgency=low

  [ Krzysztof Klimonda ]
  * New upstream release. Closes: #596893 LP: #636482
  * Fixes both a XSS vulnerability introduced in 1.2 series and
    the regressions caused by 1.2.2 release. Closes: #596205
  * debian/control:

