## python-django 1.2.5

=== debian/changelog ===
python-django (1.2.5-1ubuntu1) natty; urgency=low

  * Merge from Debian for security fixes (LP: #719031). Remaining changes:
    - debian/control: don't Build-Depends on locales-all, which doesn't exist
      in natty
  * Drop the following patches, now included upstream:
    - debian/patches/07_security_admin_infoleak.diff
    - debian/patches/08_security_pasword_reset_dos.diff

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 17 Feb 2011 13:34:07 -0600

python-django (1.2.5-1) unstable; urgency=low

  * New upstream release.
  * Do not compress objects.inv used by Sphinx generated documentation.
    Thanks to Michael Fladischer for the report. Closes: #608769 

 -- Raphaël Hertzog <hertzog@debian.org>  Sat, 12 Feb 2011 08:59:33 +0100

python-django (1.2.4-1) unstable; urgency=high

  * New bugfix-only upstream release. It includes security fixes.
    http://www.djangoproject.com/weblog/2010/dec/22/security/
  * Drop patches merged upstream:
    - debian/patches/05_fix_regression_tests.diff
    - debian/patches/06_fix_regression_tests.diff
  * Update 01_disable_url_verify_regression_tests.diff to cope with the
    updated regressions tests.
  * Update 03_manpage.diff and 04_hyphen-manpage.diff to cope with changes in
    the manual page.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 31 Dec 2010 11:40:28 +0100

python-django (1.2.3-1ubuntu0.2.11.04.1) natty; urgency=low

  * SECURITY UPDATE: information leak in admin interface
    - debian/patches/07_security_admin_infoleak.diff: validate querystring
      lookup arguments either specify only fields on the model being viewed,
      or cross relations which have been explicitly whitelisted.
    - CVE-2010-4534
  * SECURITY UPDATE:
    - debian/patches/08_security_pasword_reset_dos.diff: adjust
      base36_to_int() function in django.utils.http will now validate the
      length of its input; on input longer than 13 digits (sufficient to
      base36-encode any 64-bit integer), it will now raise ValueError.
      Additionally, the default URL patterns for django.contrib.auth will now
      enforce a maximum length on the relevant parameters.
    - CVE-2010-4535

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 03 Jan 2011 10:12:39 -0600

python-django (1.2.3-1ubuntu0.1) maverick-security; urgency=low

  * SECURITY UPDATE: XSS in CSRF protections. New upstream release
    - CVE-2010-3082
  * debian/patches/01_disable_url_verify_regression_tests.diff:
    - updated to disable another test that fails without internet connection
    - patch based on work by Kai Kasurinen and Krzysztof Klimonda
  * debian/control: don't Build-Depends on locales-all, which doesn't exist
    in maverick

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 12 Oct 2010 11:34:35 -0500
