=== debian/rules ===
--- 
+++ 
@@ -71,4 +71,4 @@
 		&& ln -s ../../../../javascript/jquery/jquery.js .
 
 override_dh_compress:
-	dh_compress -X.js
+	dh_compress -X.js -Xobjects.inv
