## python-django 1.3

=== debian/changelog ===
python-django (1.3-2ubuntu1) oneiric; urgency=low

  * 09_test_view_decorator_sleep.diff increases the sleep time to
    reduce race condition effects on build machines.
    https://code.djangoproject.com/ticket/16686  (LP: #829487)
  * Remove build-dep on locales-all which isn't in the Ubuntu archive.

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 23 Aug 2011 17:57:46 -0400

python-django (1.3-2) unstable; urgency=low

  * Team upload.

  [ Chris Lamb ]
  * Don't remove "backup~" test file - upstream did ship it; we were just
    removing it with dh_clean.

  [ Piotr Ożarowski ]
  * Fix builds with non-default Python versions installed
  * Bump Standards-Version to 3.9.2 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 02 May 2011 22:23:37 +0200

python-django (1.3-1) unstable; urgency=low

  * New upstream release.
    - Update 01_disable_url_verify_regression_tests.diff.
    - Update 07_disable_url_verify_model_tests.diff.
    - Merge patch from Krzysztof Klimonda to disable more network access tests.
      (Closes: #598674)
  * Add workaround for missing "backup~" file in release tarball. See
    <http://code.djangoproject.com/ticket/15677>.

 -- Chris Lamb <lamby@debian.org>  Thu, 24 Mar 2011 15:04:53 +0000
