## python-django 1.3.1

=== debian/changelog ===
python-django (1.3.1-4ubuntu1.22) precise-security; urgency=medium

  * SECURITY UPDATE: user with hardcoded password created when running
    tests on Oracle
    - debian/patches/CVE-2016-9013.patch: remove hardcoded password in
      django/db/backends/oracle/creation.py, added note to
      docs/ref/settings.txt.
    - CVE-2016-9013
  * SECURITY UPDATE: DNS rebinding vulnerability when DEBUG=True
    - debian/patches/CVE-2016-9014.patch: properly check ALLOWED_HOSTS in
      django/http/__init__.py, updated docs/ref/settings.txt, added test to
      tests/regressiontests/requests/tests.py.
    - CVE-2016-9014

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 31 Oct 2016 10:31:12 -0400

python-django (1.3.1-4ubuntu1.21) precise-security; urgency=medium

  * SECURITY UPDATE: CSRF protection bypass on a site with Google Analytics
    - debian/patches/CVE-2016-7401.patch: simplify cookie parsing in
      django/http/__init__.py, add tests to
      tests/regressiontests/httpwrappers/tests.py,
      tests/regressiontests/requests/tests.py.
    - CVE-2016-7401

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 26 Sep 2016 07:45:02 -0400

python-django (1.3.1-4ubuntu1.20) precise-security; urgency=medium

  * SECURITY UPDATE: malicious redirect and possible XSS attack via
    user-supplied redirect URLs containing basic auth
    - debian/patches/CVE-2016-2512.patch: prevent spoofing in
      django/utils/http.py, added test to
      django/contrib/auth/tests/views.py.
    - CVE-2016-2512

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 25 Feb 2016 15:29:31 -0500

python-django (1.3.1-4ubuntu1.19) precise-security; urgency=medium

  * SECURITY UPDATE: Settings leak possibility in date template filter
    - debian/patches/CVE-2015-8213.patch: check format type in
      django/utils/formats.py, added test to
      tests/regressiontests/i18n/tests.py.
    - CVE-2015-8213

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 18 Nov 2015 15:19:37 -0500

python-django (1.3.1-4ubuntu1.18) precise-security; urgency=medium

  * SECURITY UPDATE: denial of service by filling session store
    - debian/patches/CVE-2015-596x.patch: don't create empty sessions in
      django/contrib/sessions/backends/base.py,
      django/contrib/sessions/backends/cached_db.py,
      django/contrib/sessions/middleware.py, added tests to
      django/contrib/sessions/tests.py, updated docs in
      docs/topics/http/sessions.txt. 
    - CVE-2015-5963
    - CVE-2015-5964

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 13 Aug 2015 12:00:17 -0400

python-django (1.3.1-4ubuntu1.17) precise-security; urgency=medium

  * SECURITY UPDATE: denial of service via empty session records
    - debian/patches/no_implicit_session_key.patch: don't perform implicit
      initialization of the session key on the first access in
      django/contrib/sessions/backends/base.py,
      django/contrib/sessions/backends/cache.py,
      django/contrib/sessions/backends/cached_db.py,
      django/contrib/sessions/backends/db.py,
      django/contrib/sessions/backends/file.py,
      adjusted tests in django/contrib/sessions/tests.py,
      tests/regressiontests/test_client_regress/session.py.
    - debian/patches/CVE-2015-5143.patch: avoid creating a session record
      when loading the session in
      django/contrib/sessions/backends/cache.py,
      django/contrib/sessions/backends/cached_db.py,
      django/contrib/sessions/backends/db.py,
      django/contrib/sessions/backends/file.py,
      added test to django/contrib/sessions/tests.py.
    - CVE-2015-5143
  * SECURITY UPDATE: header injection via newlines
    - debian/patches/CVE-2015-5144.patch: check for newlines in
      django/core/validators.py, added tests to
      tests/modeltests/validators/tests.py.
    - CVE-2015-5144

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 02 Jul 2015 11:52:43 -0400

python-django (1.3.1-4ubuntu1.16) precise-security; urgency=medium

  * SECURITY UPDATE: XSS attack via user-supplied redirect URLs
    - debian/patches/CVE-2015-2317.patch: reject URLs that start with
      control characters in django/utils/http.py, added test to
      tests/regressiontests/utils/http.py.
    - CVE-2015-2317

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 20 Mar 2015 10:42:41 -0400

python-django (1.3.1-4ubuntu1.15) precise-security; urgency=medium

  * SECURITY REGRESSION: static serve failure (LP: #1417274)
    - debian/patches/CVE-2015-0221-regression.patch: allow GZipMiddleware
      to work with streaming responses in django/middleware/gzip.py,
      django/utils/text.py, django/http/__init__.py, added tests to
      tests/regressiontests/middleware/tests.py.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 04 Feb 2015 09:03:07 -0500

python-django (1.3.1-4ubuntu1.13) precise-security; urgency=medium

  * SECURITY UPDATE: WSGI header spoofing via underscore/dash conflation
    - debian/patches/CVE-2015-0219.patch: strip headers with underscores in
      django/core/servers/basehttp.py, added test to
      tests/regressiontests/servers/tests.py.
    - CVE-2015-0219
  * SECURITY UPDATE: Mitigated possible XSS attack via user-supplied
    redirect URLs
    - debian/patches/CVE-2015-0220.patch: filter url in
      django/utils/http.py, added test to
      tests/regressiontests/utils/http.py.
    - CVE-2015-0220
  * SECURITY UPDATE: Denial-of-service attack against
    django.views.static.serve
    - debian/patches/CVE-2015-0221.patch: limit large files in
      django/views/static.py, added test to
      tests/regressiontests/views/media/long-line.txt,
      tests/regressiontests/views/tests/static.py.
    - CVE-2015-0221

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 13 Jan 2015 07:55:08 -0500

python-django (1.3.1-4ubuntu1.12) precise-security; urgency=medium

  * SECURITY UPDATE: incorrect url validation in core.urlresolvers.reverse

