## python-django 1.3.1-1maemo1-m4

=== debian/changelog ===
python-django (1.3.1-1maemo1-m4) stable; urgency=low

  Django 1.3.1 Maemo1 (22/02/2012) :
   * 1st version for for Maemo 4 Diablo;
   * it takes 35 MB after install.


 -- Django Software Foundation <foundation@djangoproject.com>  Wed, 22 Feb 2012 19:24:15 +0000
