=== debian/control ===
Source: python-django
Section: python
Priority: extra
Maintainer: Django Software Foundation <foundation@djangoproject.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: python-django
XB-Maemo-Display-Name: DJango
Architecture: all
Depends: python2.5
Suggests: python-sqlite, django-doc
Description: High-level Python web development framework.
 DJango is a high-level Python Web framework that encourages rapid 
 development and clean, pragmatic design.
 Developed by a fast-moving online-news operation, Django was designed 
 to handle two challenges: the intensive deadlines of a newsroom and the 
 stringent requirements of the experienced Web developers who wrote it. 
 It lets you build high-performing, elegant Web applications quickly.
 Django focuses on automating as much as possible and adhering to the DRY 
 (Dont Repeat Yourself) principle.
XB-Maemo-Upgrade-Description: Django 1.3.1 Maemo1 (22/02/2012)
XSBC-Bugtracker: http://bugs.maemo.org/
