=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/python-django" install
	mkdir -p "$(CURDIR)/debian/python-django"

	mkdir -p "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/auth/locale/ja/LC_MESSAGES/"
	cp -a "src/usr/lib/python2.5/site-packages/django/contrib/auth/locale/ja/LC_MESSAGES/django.mo" "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/auth/locale/ja/LC_MESSAGES/django.mo"
	mkdir -p "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/auth/locale/ja/LC_MESSAGES/"
	cp -a "src/usr/lib/python2.5/site-packages/django/contrib/auth/locale/ja/LC_MESSAGES/django.po" "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/auth/locale/ja/LC_MESSAGES/django.po"
	mkdir -p "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/admindocs/locale/no/LC_MESSAGES/"
	cp -a "src/usr/lib/python2.5/site-packages/django/contrib/admindocs/locale/no/LC_MESSAGES/django.mo" "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/admindocs/locale/no/LC_MESSAGES/django.mo"
	mkdir -p "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/admindocs/locale/no/LC_MESSAGES/"
	cp -a "src/usr/lib/python2.5/site-packages/django/contrib/admindocs/locale/no/LC_MESSAGES/django.po" "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/admindocs/locale/no/LC_MESSAGES/django.po"
	mkdir -p "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/contenttypes/locale/pa/LC_MESSAGES/"
	cp -a "src/usr/lib/python2.5/site-packages/django/contrib/contenttypes/locale/pa/LC_MESSAGES/django.mo" "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/contenttypes/locale/pa/LC_MESSAGES/django.mo"
	mkdir -p "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/contenttypes/locale/pa/LC_MESSAGES/"
	cp -a "src/usr/lib/python2.5/site-packages/django/contrib/contenttypes/locale/pa/LC_MESSAGES/django.po" "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/contenttypes/locale/pa/LC_MESSAGES/django.po"
	mkdir -p "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/localflavor/cl/"
	cp -a "src/usr/lib/python2.5/site-packages/django/contrib/localflavor/cl/__init__.py" "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/localflavor/cl/__init__.py"
	mkdir -p "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/localflavor/cl/"
	cp -a "src/usr/lib/python2.5/site-packages/django/contrib/localflavor/cl/cl_regions.py" "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/localflavor/cl/cl_regions.py"
	mkdir -p "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/localflavor/cl/"
	cp -a "src/usr/lib/python2.5/site-packages/django/contrib/localflavor/cl/forms.py" "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/localflavor/cl/forms.py"
	mkdir -p "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/auth/locale/fa/LC_MESSAGES/"
	cp -a "src/usr/lib/python2.5/site-packages/django/contrib/auth/locale/fa/LC_MESSAGES/django.mo" "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/auth/locale/fa/LC_MESSAGES/django.mo"
	mkdir -p "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/auth/locale/fa/LC_MESSAGES/"
	cp -a "src/usr/lib/python2.5/site-packages/django/contrib/auth/locale/fa/LC_MESSAGES/django.po" "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/auth/locale/fa/LC_MESSAGES/django.po"
	mkdir -p "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/localflavor/ch/"
	cp -a "src/usr/lib/python2.5/site-packages/django/contrib/localflavor/ch/__init__.py" "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/localflavor/ch/__init__.py"
	mkdir -p "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/localflavor/ch/"
	cp -a "src/usr/lib/python2.5/site-packages/django/contrib/localflavor/ch/ch_states.py" "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/localflavor/ch/ch_states.py"
	mkdir -p "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/localflavor/ch/"
	cp -a "src/usr/lib/python2.5/site-packages/django/contrib/localflavor/ch/forms.py" "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/localflavor/ch/forms.py"
	mkdir -p "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/admin/locale/az/LC_MESSAGES/"
	cp -a "src/usr/lib/python2.5/site-packages/django/contrib/admin/locale/az/LC_MESSAGES/django.mo" "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/admin/locale/az/LC_MESSAGES/django.mo"
	mkdir -p "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/admin/locale/az/LC_MESSAGES/"
	cp -a "src/usr/lib/python2.5/site-packages/django/contrib/admin/locale/az/LC_MESSAGES/django.po" "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/admin/locale/az/LC_MESSAGES/django.po"
	mkdir -p "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/admin/locale/az/LC_MESSAGES/"
	cp -a "src/usr/lib/python2.5/site-packages/django/contrib/admin/locale/az/LC_MESSAGES/djangojs.mo" "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/admin/locale/az/LC_MESSAGES/djangojs.mo"
	mkdir -p "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/admin/locale/az/LC_MESSAGES/"
	cp -a "src/usr/lib/python2.5/site-packages/django/contrib/admin/locale/az/LC_MESSAGES/djangojs.po" "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/admin/locale/az/LC_MESSAGES/djangojs.po"
	mkdir -p "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/auth/handlers/"
	cp -a "src/usr/lib/python2.5/site-packages/django/contrib/auth/handlers/__init__.py" "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/auth/handlers/__init__.py"
	mkdir -p "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/auth/handlers/"
	cp -a "src/usr/lib/python2.5/site-packages/django/contrib/auth/handlers/modpython.py" "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/auth/handlers/modpython.py"
	mkdir -p "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/formtools/locale/az/LC_MESSAGES/"
	cp -a "src/usr/lib/python2.5/site-packages/django/contrib/formtools/locale/az/LC_MESSAGES/django.mo" "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/formtools/locale/az/LC_MESSAGES/django.mo"
