## python-django 1.3.1-2maemo2-m4

=== debian/changelog ===
python-django (1.3.1-2maemo2-m4) stable; urgency=low

  Django 1.3.1 Maemo2 (22/02/2012) :
   * 2nd version for for Maemo 4 Diablo;
   * fixes some package data.


 -- Django Software Foundation <foundation@djangoproject.com>  Wed, 22 Feb 2012 22:43:57 +0000
